package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 考勤结果状态类别
 */
@Getter
@AllArgsConstructor
public enum StaffAttendanceResultEnum {
    //考勤结果，0-正常，1-迟到，2-早退,3-旷工，4-迟到早退，5-上班未在打卡时间段，6-下班未在打卡时间段,7-上班未在打卡时间段|早退，8-上班迟到|下班未打卡"
    /**
     * 正常状态
     */
    NORMAL(0, "正常"),

    /**
     * 异常状态
     */
    LATE(1, "迟到"),

    /**
     * 走读-早退
     */
    LEAVE(2, "早退"),

    /**
     * 旷工
     */
    NOTARRIVE(3, "旷工"),

    /**
     * 旷工
     */
    LATE_LEAVE(4, "迟到早退"),

    /**
     * 上班未在打卡时间段
     */
    START_NOT_IN(5, "上班未打卡"),

    /**
     * 上班未在打卡时间段
     */
    END_NOT_IN(6, "下班未打卡"),

    /**
     * 上班未在打卡时间段|早退
     */
    START_NOT_IN_LEAVE(7, "上班未打卡|下班早退"),

    /**
     * 上班未在打卡时间段|早退
     */
    LATE_START_NOT(8, "上班迟到|下班未打卡"),

    /**
     * 未打卡|早退
     */
    NOT_ATTENDANCE(9, "未打卡");

    private final Integer value;
    private final String name;
}
